Upsert a resource in the registry
Upsert a resource in the registry.
In: header
Path Parameters
The key of the source.
Type of the resource. Key of the profile.
Id of the resource.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/sources/string/v1/resources/string/string" \ -H "Content-Type: application/json" \ -d '{ "data": {} }'{ "taskId": "string", "status": "ACCEPTED", "resource": { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {}, "contained": { "property1": [ { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {} } ], "property2": [ { "id": "string", "type": "string", "meta": { "createdAt": "2019-08-24T14:15:22Z", "identifier": [ { "id": "string", "system": "string", "value": "string", "use": "string", "period": { "id": "string", "start": "string", "end": "string" } } ], "source": "string", "updatedAt": "2019-08-24T14:15:22Z" }, "data": {} } ] } }}Upsert a contained resource in the registry PUT
Upsert a contained resource in the registry.
Run multiple queries POST
Execute several queries within a single request. It is possible to send multiple query items, where each of the item can be either a regular query or a federated query. To trigger a federated query, one must specify more then one collection key in the item.